Mail archive
alpine-aports

[alpine-aports] [PATCH 4/9] main/nginx: s390x does not support LuaJIT yet thus fallback to Lua5.1

From: Tuan M. Hoang <tmhoang_at_flatglobe.org>
Date: Wed, 22 Feb 2017 17:07:13 -0500

---
 main/nginx/APKBUILD | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/main/nginx/APKBUILD b/main/nginx/APKBUILD
index ac7d66a..8bacade 100644
--- a/main/nginx/APKBUILD
+++ b/main/nginx/APKBUILD
_at_@ -52,7 +52,8 @@ _rtmp_dir="$srcdir/$_rtmp_name-$_rtmp_ver"
 _rtmp_provides="$pkgname-rtmp"  # for backward compatibility
 
 depends=""
-makedepends="linux-headers gd-dev geoip-dev libxml2-dev libxslt-dev luajit-dev
+[ "$CARCH" = "s390x" ] && _lua_dep="lua5.1-dev" || _lua_dep="luajit-dev"
+makedepends="linux-headers gd-dev geoip-dev libxml2-dev libxslt-dev $_lua_dep
 	libressl-dev paxmark pcre-dev perl-dev pkgconf zlib-dev"
 pkgusers="nginx"
 _grp_ngx="nginx"
-- 
2.1.4
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 22 2017 - 17:07:13 GMT